| Version: 3.0.4

Public Member Functions | List of all members
wxDataViewItemAttr Class Reference
Class List by Category » wxDataViewCtrl Related Classes

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/dataview.h>`

## Detailed Description

This class is used to indicate to a wxDataViewCtrl that a certain item (see wxDataViewItem) has extra font attributes for its renderer.

For this, it is required to override wxDataViewModel::GetAttr.

Attributes are currently only supported by wxDataViewTextRendererText.

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxDataViewItemAttr ()
| Constructor. More...
void | SetBold (bool set)
| Call this to indicate that the item shall be displayed in bold text. More...
void | SetColour (const wxColour &colour)
| Call this to indicate that the item shall be displayed with that colour. More...
void | SetBackgroundColour (const wxColour &colour)
| Call this to set the background colour to use. More...
void | SetItalic (bool set)
| Call this to indicate that the item shall be displayed in italic text. More...
bool | HasColour () const
| Returns true if the colour property has been set. More...
const wxColour & | GetColour () const
| Returns this attribute's colour. More...
bool | HasFont () const
| Returns true if any property affecting the font has been set. More...
bool | GetBold () const
| Returns value of the bold property. More...
bool | GetItalic () const
| Returns value of the italics property. More...
bool | HasBackgroundColour () const
| Returns true if the background colour property has been set. More...
const wxColour & | GetBackgroundColour () const
| Returns the colour to be used for the background. More...
bool | IsDefault () const
| Returns true if none of the properties have been set. More...
wxFont | GetEffectiveFont (const wxFont &font) const
| Return the font based on the given one with this attribute applied to it. More...

## Constructor & Destructor Documentation

## ◆ wxDataViewItemAttr()

wxDataViewItemAttr::wxDataViewItemAttr | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ GetBackgroundColour()

const wxColour& wxDataViewItemAttr::GetBackgroundColour | ( |  | ) | const

Returns the colour to be used for the background.

## ◆ GetBold()

bool wxDataViewItemAttr::GetBold | ( |  | ) | const

Returns value of the bold property.

## ◆ GetColour()

const wxColour& wxDataViewItemAttr::GetColour | ( |  | ) | const

Returns this attribute's colour.

## ◆ GetEffectiveFont()

wxFont wxDataViewItemAttr::GetEffectiveFont | ( | const wxFont & | font | ) | const

Return the font based on the given one with this attribute applied to it.

## ◆ GetItalic()

bool wxDataViewItemAttr::GetItalic | ( |  | ) | const

Returns value of the italics property.

## ◆ HasBackgroundColour()

bool wxDataViewItemAttr::HasBackgroundColour | ( |  | ) | const

Returns true if the background colour property has been set.

## ◆ HasColour()

bool wxDataViewItemAttr::HasColour | ( |  | ) | const

Returns true if the colour property has been set.

## ◆ HasFont()

bool wxDataViewItemAttr::HasFont | ( |  | ) | const

Returns true if any property affecting the font has been set.

## ◆ IsDefault()

bool wxDataViewItemAttr::IsDefault | ( |  | ) | const

Returns true if none of the properties have been set.

## ◆ SetBackgroundColour()

void wxDataViewItemAttr::SetBackgroundColour | ( | const wxColour & | colour | ) |

Call this to set the background colour to use.

Currently this attribute is only supported in the generic version of wxDataViewCtrl and ignored by the native GTK+ and OS X implementations.

Since
  2.9.4

## ◆ SetBold()

void wxDataViewItemAttr::SetBold | ( | bool | set | ) |

Call this to indicate that the item shall be displayed in bold text.

## ◆ SetColour()

void wxDataViewItemAttr::SetColour | ( | const wxColour & | colour | ) |

Call this to indicate that the item shall be displayed with that colour.

## ◆ SetItalic()

void wxDataViewItemAttr::SetItalic | ( | bool | set | ) |

Call this to indicate that the item shall be displayed in italic text.